BG Development


  Reply to this topicStart new topicStart Poll

> Андроид емулатор
KuR za QT5
  Публикувано на: 12-02-2018, 20:15
Quote Post



Име:
Група: Потребител
Ранг: Новопостъпил

Мнения: 2
Регистриран на: 12.02.18



Как мога да накарам андроид емулатора да работи ?

CODE
QT_DEBUG_PLUGINS=1 ./emulator64-x86 -avd loli -gpu off                        
...
Cannot load library /home/android/software/android/emulator/lib64/qt/plugins/platforms/libqxcb.so: (/home/android/software/android/emulator/lib64/qt/plugins/platforms/libqxcb.so: symbol _ZN26QPlatformIntegrationPlugin6createERK7QStringRK11QStringList, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference)
QLibraryPrivate::loadPlugin failed on "/home/android/software/android/emulator/lib64/qt/plugins/platforms/libqxcb.so" : "Cannot load library /home/android/software/android/emulator/lib64/qt/plugins/platforms/libqxcb.so: (/home/android/software/android/emulator/lib64/qt/plugins/platforms/libqxcb.so: symbol _ZN26QPlatformIntegrationPlugin6createERK7QStringRK11QStringList, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference)"


Как да оправя шибания, лайнян QT5 ? Ползвам последната версия 27.1.7.0 (build_id 4581633).
PMEmail Poster
Top
bvbfan
Публикувано на: 12-02-2018, 20:39
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 2512
Регистриран на: 08.12.13



Пише, че в libQt5Gui.so.5 се опитва да ползва референция към символ от libxcb който го няма. PlatformItegrationPugin::create(QString, QStringLIst). Аз обаче виждам по-генерален проблем, xcb е плъгин за X window system, т.е. за Линукс, Андроид не го използва. Какво ползваш, откъде го свали и т.н.


--------------------
QUOTE (Bender @ 23-04-2015, 19:11)
Xamarin: ЛАПАЙ!
Ти: Добре...
PMEmail Poster
Top
KuR za QT5
Публикувано на: 12-02-2018, 20:49
Quote Post



Име:
Група: Потребител
Ранг: Новопостъпил

Мнения: 2
Регистриран на: 12.02.18



QT се ползва за ПИ на самия емулатор, който ти рисува един виртуален телефон на екрана. Самото QT си идва с андроид емулатора в папката /home/android/software/android/emulator/lib64/qt/. Мога ли да го накарам да ползва инсталирания на ОСа QT вместо неговият си ? Да разбирам ли, че самия емулатор идва със счупен QT ?

Емулатора си го сваля андроид плъгина за IntelliJ Idea от гугъл.

Това мнение е било редактирано от KuR za QT5 на 12-02-2018, 20:52
PMEmail Poster
Top
relax4o
Публикувано на: 12-02-2018, 20:59
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 1535
Регистриран на: 04.04.07



Защо направо не използваш Android Studio? То си е intellij само че оптимизиран за андроид девелопмънт.


--------------------
Бисери :D

QUOTE (oveRLuckEd)
Ползваш някоя нова версия на PHP, която е вече ооп ориентирана и заради това ти я изкарва тази грешка.


QUOTE (nbacool2)
Щом няма input полета, значи няма откъде да се направи SQL инжекция Very Happy
PM
Top
bvbfan
Публикувано на: 12-02-2018, 21:02
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 2512
Регистриран на: 08.12.13



Би трябвало да се ползва системният, но Виндовс програмистите така правят icon_lol.gif Явно идва счупен, сега трябва да търсиш къде е тоя скрипт, който слага тая директория преди системната, за да се търсят там тия библиотеки. Ама така е един програмист трябва да знае какво прави, а не пише код в някакво "магическо" ИДЕ.


--------------------
QUOTE (Bender @ 23-04-2015, 19:11)
Xamarin: ЛАПАЙ!
Ти: Добре...
PMEmail Poster
Top
bvbfan
Публикувано на: 12-02-2018, 21:17
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 2512
Регистриран на: 08.12.13



Или да затриеш директорията, за по-бързо icon_smile.gif


--------------------
QUOTE (Bender @ 23-04-2015, 19:11)
Xamarin: ЛАПАЙ!
Ти: Добре...
PMEmail Poster
Top
1 потребители преглеждат тази тема в момента (1 гости, 0 анонимни потребители)
Потребители, преглеждащи темата в момента:

Topic Options Reply to this topicStart new topicStart Poll

 


Copyright © 2003-2015 | BG Development | All Rights Reserved
RSS 2.0